> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un profil



## OpenAPI

````yaml /api-reference/openapi.json post /v1/profiles
openapi: 3.0.0
info:
  title: orsay-api
  description: API unifiée réseaux sociaux — Instagram & WhatsApp
  version: 0.1.0
  contact: {}
servers:
  - url: https://api.plugkit.co
    description: Production
security: []
tags: []
paths:
  /v1/profiles:
    post:
      tags:
        - profiles
      summary: Créer un profil
      operationId: ProfilesController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProfileDto'
      responses:
        '201':
          description: ''
      security:
        - api-key: []
components:
  schemas:
    CreateProfileDto:
      type: object
      properties:
        name:
          type: string
          example: My Brand
        color:
          type: string
          example: '#6366f1'
        description:
          type: string
        isDefault:
          type: boolean
          default: false
      required:
        - name
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````